import { Binding, CaptureType } from '@microsoft/fast-element';
/**
 * Represents the possible types of value conversion for data synchronization.
 * @public
 */
export type ConversionType = 'string' | 'number' | 'time' | 'boolean';
/**
 * Represents the possible event names for data synchronization.
 * @public
 */
export type EventName = 'input' | 'change' | 'default';
/**
 * A map that associates specific HTML element tags with their corresponding default event names.
 * @public
 */
export declare const defaultEventMap: Map<string, EventName>;
/**
 * Creates a synchronization directive that binds a data source to an HTML element,
 * @public
 */
export declare function sync<TSource = any, TReturn = any>(binding: Binding<TSource, TReturn>, conversionType?: ConversionType, eventName?: EventName, keyAttr?: string): CaptureType<TSource>;
//# sourceMappingURL=sync.d.ts.map