import { Binding, CaptureType, SyntheticViewTemplate } from '@microsoft/fast-element';
type WhenTemplate<TSource> = SyntheticViewTemplate | Binding<TSource, SyntheticViewTemplate>;
/**
 * Directive that allows supplying an "else" template to the traditional {@link https://www.fast.design/docs/api/fast-element.when/#when-function} directive
 *
 * @param binding - The condition to test for rendering.
 * @param trueTemplateOrTemplateBinding - The template or a binding that gets the template to render when the condition is true.
 * @param falseTemplateOrTemplateBinding - The template or a binding that gets the template to render when the condition is false.
 * @public
 */
export declare function whenElse<TSource = any, TReturn = any>(binding: Binding<TSource, TReturn>, trueTemplateOrTemplateBinding: WhenTemplate<TSource>, falseTemplateOrTemplateBinding: WhenTemplate<TSource>): CaptureType<TSource>;
export {};
//# sourceMappingURL=when-else.d.ts.map