/**
 * Inserts a CSS rule into the document by creating a new style element or using an existing one with the specified ID.
 * Returns a function that can be called to remove the rule from the document.
 * @public
 * @param cssRule - The CSS rule to insert.
 * @param styleElementId - The ID of the style element to use or create.
 * @returns A function that removes the rule from the document.
 */
export declare const insertDocumentCSSRule: (cssRule: string, styleElementId: string) => (() => void);
/**
 * Inserts a CSS link into the document if it doesn't already exist.
 * @public
 * @param href - The URL of the CSS file to insert.
 */
export declare const insertDocumentLink: (href: string) => void;
//# sourceMappingURL=dom.d.ts.map