import { ElementStyles, FASTElement } from '@microsoft/fast-element';
/**
 * A custom element that encapsulates a set of styles that can be applied to slotted elements.
 * @public
 */
export declare class SlottedStyles extends FASTElement {
    /**
     * The styles to apply to slotted elements.
     */
    styles: ElementStyles;
    /**
     * Called when the `styles` property changes.
     * Removes the previous styles from the parent element's FAST controller and adds the new styles.
     * @param prev - The previous value of the `styles` property.
     * @param next - The new value of the `styles` property.
     */
    stylesChanged(prev: ElementStyles, next: ElementStyles): void;
}
//# sourceMappingURL=slotted-styles.d.ts.map