/**
 * A configuration object for customizing UUID generation.
 * @public
 */
export interface UUIDConfig {
}
/**
 * An interface for generating UUIDs.
 * @public
 */
export interface UUID {
    /**
     * Generates a new UUID.
     * @param withLogging - Optional. Whether to log the generated UUID to the console. Defaults to false.
     * @returns The generated UUID.
     */
    createId(withLogging?: boolean): string;
    /**
     * Generates a new UUID for a remote object.
     * @param withLogging - Optional. Whether to log the generated UUID to the console. Defaults to false.
     * @returns A promise that resolves to the generated UUID.
     */
    createRemoteId(withLogging?: boolean): Promise<string>;
}
/**
 * A dependency injection token for the UUID interface.
 * @public
 */
export declare const UUID: import("@microsoft/fast-foundation").InterfaceSymbol<UUID>;
//# sourceMappingURL=uuid.d.ts.map