/**
 * Returns a boolean value indicating whether the current window is inside an iframe.
 * @returns true if the window is inside an iframe, false otherwise.
 * @public
 */
export declare const inIFrame: () => boolean;
/**
 * Returns a boolean value indicating whether the user is running the Symphony desktop app.
 * @returns true if the user is running the Symphony desktop app, false otherwise.
 * @public
 */
export declare const inSymphonyDesktop: () => boolean;
/**
 * The default width (in pixels) for pop-up windows.
 * @public
 */
export declare const POPUP_DEFAULT_WIDTH = 483;
/**
 * The default height (in pixels) for pop-up windows.
 * @public
 */
export declare const POPUP_DEFAULT_HEIGHT = 600;
/**
 * Opens a new browser window with the specified URL, target, width, and height.
 * @param urlNavigate - The URL to navigate to.
 * @param target - The name of the new window.
 * @param popUpWidth - The width of the new window (optional).
 * @param popUpHeight - The height of the new window (optional).
 * @returns A reference to the new window.
 * @public
 */
export declare const openPopup: (urlNavigate: string, target: string, popUpWidth?: number, popUpHeight?: number) => Window;
//# sourceMappingURL=window.d.ts.map