/**
 * @public
 */
export function assureDesignSystem(module) {
    if (!module) {
        throw new Error('Undefined design system module');
    }
    if (typeof module.provideDesignSystem !== 'function') {
        throw new Error('Required `provideDesignSystem` function missing from design system module');
    }
    return module;
}
