/* eslint-disable import/no-mutable-exports */
/**
 * The sub-path used for WebSocket connections when API_HOST is not set
 * @public
 * @defaultValue `'gwf'`
 * @remarks Optional.
 * @example
 * If `API_HOST` is not set, `SOCKET_EXT` is set to `/custom` and UI is served on `https://localhost:1234`
 * API host URL will be `wss://localhost:1234/custom`
 */
let _SOCKET_EXT = 'gwf';
try {
    if (typeof SOCKET_EXT !== 'undefined') {
        _SOCKET_EXT = SOCKET_EXT;
    }
}
catch (_a) { }
export { _SOCKET_EXT as SOCKET_EXT };
/**
 * The path to a JSON config file for the HTTP mode.
 * @remarks Optional.
 * @public
 */
let _FORCE_HTTP;
try {
    _FORCE_HTTP = FORCE_HTTP;
}
catch (_b) { }
export { _FORCE_HTTP as FORCE_HTTP };
const PROTOCOL = _FORCE_HTTP === 'true' ? location.protocol : location.protocol.replace('http', 'ws');
/**
 * The Genesis Server URL (WebSocket or HTTP).
 * @remarks Optional.
 * @defaultValue `${PROTOCOL}//${location.host}/${_SOCKET_EXT}/`
 * @example ws://localhost/gwf/, ws://localhost:9064
 * @public
 */
let _API_HOST = `${PROTOCOL}//${location.host}/${_SOCKET_EXT}/`;
try {
    if (typeof API_HOST !== 'undefined') {
        _API_HOST = API_HOST;
    }
}
catch (_c) { }
export { _API_HOST as API_HOST };
/**
 * Configuration settings for HTTP, used in http connect flow [`genesislcap-foundation-comms.HttpConnectConfig`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _HTTP_CONFIG;
try {
    _HTTP_CONFIG = HTTP_CONFIG;
}
catch (_d) { }
export { _HTTP_CONFIG as HTTP_CONFIG };
/**
 * The default Organisation value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_ORGANISATION;
try {
    _DEFAULT_ORGANISATION = DEFAULT_ORGANISATION;
}
catch (_e) { }
export { _DEFAULT_ORGANISATION as DEFAULT_ORGANISATION };
/**
 * The default Password value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_PASSWORD;
try {
    _DEFAULT_PASSWORD = DEFAULT_PASSWORD;
}
catch (_f) { }
export { _DEFAULT_PASSWORD as DEFAULT_PASSWORD };
/**
 * The default Username value, used in auth/login flow [`genesislcap-foundation-login`](https://link-to-docs).
 * @remarks Optional.
 * @public
 */
let _DEFAULT_USER;
try {
    _DEFAULT_USER = DEFAULT_USER;
}
catch (_g) { }
export { _DEFAULT_USER as DEFAULT_USER };
