import { createLogger as nextCreateLogger } from '@genesislcap/foundation-logger';
export { LogLevel } from 'consola';
const logLevelDebug = 4;
/**
 * The default logger options.
 * @public
 */
export const defaultLoggerOptions = {
    level: logLevelDebug,
};
/**
 * Creates a logger with the given name and options.
 * @param name - The name to give the logger.
 * @param options - The options to use when creating the logger.
 * @returns The resulting logger.
 *
 * @deprecated - Use `createLogger` from `@genesislcap/foundation-logger` instead.
 * @public
 */
export function createLogger(name, options = defaultLoggerOptions) {
    const logger = nextCreateLogger(name, options);
    logger.warn(`Deprecated symbol used 'createLogger'. Use 'createLogger' from '@genesislcap/foundation-logger' instead.`);
    return logger;
}
