import { getTypeId, NaNSymbol } from './types';
/**
 * JSON replacer function.
 * @param key - The object key.
 * @param value - The key value.
 * @returns The resulting value.
 * @public
 */
export function JSONReplacer(key, value) {
    if (key) {
        const first = key[0];
        if (first === '_' || first === '$') {
            return void 0;
        }
    }
    if (value !== void 0 && value !== null) {
        const type = getTypeId(value);
        if (type) {
            value.type = type;
        }
        else if (Number.isNaN(value)) {
            return NaNSymbol;
        }
    }
    return value;
}
