import { baseLayerLuminance, StandardLuminance } from '@microsoft/fast-components';
import { DesignToken } from '@microsoft/fast-foundation';
const { create } = DesignToken;
/**
 * A design token that represents the active color scheme (light or dark).
 * @public
 */
export const activeColorScheme = create('active-color-scheme').withDefault(
/**
 * A callback function that returns the active color scheme based on the base layer luminance of the provided element.
 * @param {HTMLElement} elem The element to get the active color scheme for.
 * @returns {string} The active color scheme ('light' or 'dark').
 */
(elem) => baseLayerLuminance.getValueFor(elem) === StandardLuminance.LightMode ? 'light' : 'dark');
