<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-utils](./foundation-utils.md) &gt; [Logger](./foundation-utils.logger.md) &gt; [deprecated](./foundation-utils.logger.deprecated.md)

## Logger.deprecated() method

A logger method for deprecated symbols.

**Signature:**

```typescript
deprecated(symbol: string, instruction?: string, removalVersionTarget?: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  symbol | string | The deprecated symbol. |
|  instruction | string | _(Optional)_ An optional alternative instruction. Defaults to <code>Consult docs for better alternative.</code> |
|  removalVersionTarget | string | _(Optional)_ An optional target removal version number. |

**Returns:**

void

## Remarks

Pair with a deprecated tag. See [https://tsdoc.org/pages/tags/deprecated/](https://tsdoc.org/pages/tags/deprecated/) for more information.

## Example 1


```ts
logger.deprecated('someSymbol');
```

## Example 2

With a custom instruction and target removal version.

```ts
logger.deprecated('routeButtons', 'Use the default slot instead.', '20.0.0');
```

