<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@genesislcap/foundation-utils](./foundation-utils.md) &gt; [renderOnChange](./foundation-utils.renderonchange.md)

## renderOnChange() function

Defines a property changed handler that calls a render() method on the target as an internal observation enhancement.

**Signature:**

```typescript
export declare function renderOnChange(target: FASTElement & {
    render(): void;
}, name: string): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  target | FASTElement &amp; { render(): void; } | The target to define the property change handler on. |
|  name | string | The property name. |

**Returns:**

void

## Remarks

This is useful if you have a lot of properties that all invalidate the internal state. See [https://www.fast.design/docs/fast-element/observables-and-state\#internal-observation](https://www.fast.design/docs/fast-element/observables-and-state#internal-observation) for more information.

## Example


```ts
 @attr({ mode: 'boolean', attribute: 'line-numbers' })
 @renderOnChange
 lineNumbers: boolean = true;

 @attr
 @renderOnChange
 indent: number | 'tab' = 2;

 render() {
   if (!this.$fastController.isConnected) {
     return;
   }
   // Do something...
 }
```

